# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXFreeModuleId

Function

Frees the space pointed to by a module identifier.

Syntax
`
#include <dx/dx.h>
`

Error DXFreeModuleId(Pointer id)

Functional Details

If DXCopyModuleId was used to obtain a copy of a module identifier, DXFreeModuleId should be used to delete that copy when it is no longer needed.

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

14.3 , "Invalid Data"

13.5 , "Cache"

13.11 , "Asynchronous Services".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]